文档章节

离线安装Chrome Postman 和Postman Interceptor 插件

 林哥_
发布于 2017/07/21 22:03
字数 523
阅读 86
收藏 0

 

由于无法访问国外网络,所以安装chrome的插件一直是心中的痛。

老版本的postman已经无法使用了,怀念老的postman,可以直接使用chrome的开发者工具来进行调试,github地址 https://github.com/postmanlabs/postman-chrome-extension-legacy 。编译了一下,安装上了也无法使用。

目前的postman插件如果想正常使用,必须安装Postman Interceptor插件,这样才能直接使用chrome浏览器的cookie等信息,否则postman是无法完成老版本的功能的。

直接使用chrome appstore安装是没有问题的,但是如果是离线安装,那么问题来了,发现postman总是无法识别postman interceptor插件,非常让人恼火。 
下载chrome最新插件的地址如下

https://www.crx4chrome.com/extensions/

 

根据插件的id就可以搜索,十分方便。

下载的版本如下:

aicmkgpgakddgnaphhhpliifpcfhicfo-0.2.20-Crx4Chrome.com.crx

fhbjgbiflinjbdggehcddcbncdddomop-4.10.3-Crx4Chrome.com.crx
  •  

离线安装方法很简单,修改后缀名为zip,然后解压到一个目录中,修改_metadata为metadata(去掉下划线)。这样才能安装成功,否则报错(根据提示信息,也可以修改该问题)。

接着,打开chrome,然后打开扩展程序,勾选开发者模式,选择加载已经解压的扩展程序,选择插件的解压目录,就可以安装了。

这里写图片描述

此时,如果打开postman,开启interceptor插件,是无法成哦功能的,提示去下载该插件(但是我已经明明安装了啊。),

这里写图片描述
经过尝试,发现需要修改postman安装包中js/requester.js 和runner.js ,需要将其中的aicmkgpgakddgnaphhhpliifpcfhicfo 字符串替换成扩展程序界面的Interceptor的id,如下图所示:

这里写图片描述

每个人,每次安装这个id都不一样,所以需要自己去复制,切记。

我的id是

dadamddfbngjafhgcmnbhnaekcipphfl

 

替换完成之后,在扩展程序中,重新加载postman插件,然后,再次点击开启Interceptor的图标,就会成为高亮状态。

到此就可以使用postman的完成功能了。

 

原文 http://blog.csdn.net/longyc2010/article/details/63685501

本文转载自:http://blog.csdn.net/longyc2010/article/details/63685501

共有 人打赏支持
上一篇: CSS
下一篇: Bean Validation
粉丝 1
博文 41
码字总数 10844
作品 0
苏州
私信 提问
接口测试工具postman安装及使用

Chrome浏览器之 Postman4.1.3 安装 http://www.cnblogs.com/wangfeng520/p/5892125.html 离线安装Chrome Postman 和Postman Interceptor 插件 http://blog.csdn.net/longyc2010/article/deta......

326647452
2017/07/10
0
0
详细了解为什么Postman Chrome应用程序突然不能用了?

很多网友反映postman无法使用,本地postman chrome插件确实也无法正常使用,只有Postman官方自己的软件应用程序可以使用。笔者多少追溯终于知道原因,并紧急上线了不同操作系统版本的Postman...

thebeauty2016
2018/05/08
0
0
Postman发送带cookie的http请求

Postman是chrome上一个非常好用的http客户端插件,可惜由于chrome安全的限制,发不出带cookie的请求。如果想要发送带cookie的请求,需要开启Interceptor: 这个Interceptor还需要到chrome应用...

32氪
2018/06/26
0
0
postman native cookie设置

在chrome 浏览器中可以使用 Postman Interceptor 搞定;(http://blog.csdn.net/jlminghui/article/details/51516922) 不过现在好像要取消chrome 版本的postman (http://blog.getpostman.com......

Marshmallow
2017/11/06
250
1
Chrome浏览器安装postman插件

安装postman不能访问chrome应用商店的解决方法 需要离线下载.crx插件,并根据参考资料进行操作。 注: 1、如果把下载后的.crx扩展名的离线Chrome插件的文件扩展名改成.zip或者.rar解压后报错...

哎小艾
2018/06/29
0
2

没有更多内容

加载失败,请刷新页面

加载更多

多表查询

第1章 多表关系实战 1.1 实战1:省和市  方案1:多张表,一对多  方案2:一张表,自关联一对多 1.2 实战2:用户和角色 (比如演员和扮演人物)  多对多关系 1.3 实战3:角色和权限 (比如...

stars永恒
今天
1
0
求推广,德邦快递坑人!!!!

完全没想好怎么来吐槽自己这次苦逼的德邦物流过程了,只好来记一个流水账。 从寄快递开始: 2019年1月15日从 德邦物流 微信小app上下单,截图如下: 可笑的是什么,我预约的是17号上门收件,...

o0无忧亦无怖
昨天
6
0
Mac Vim配置

1.升级 vim   我自己 MacBook Pro 的系统还是 10.11 ,其自带的 vim 版本为 7.3 ,我们将其升至最新版: 使用 homebrew : brew install vim --with-lua --with-override-system-vim 这将下...

Pasenger
昨天
7
0
vmware安装Ubuntu上不了网?上网了安装不了net-tools,无法执行ifconfig?

1.重新设置网络适配器还是不行,如下指定nat 2.还需要指定共享网络,我是在无线环境下 3.无法执行ifconfig https://packages.ubuntu.com/bionic/net-tools到这个网站下载net-tools的deb文件...

noob_chr
昨天
3
0
解决SVN:E210007无法协商认证机制

svn:E210007 svn: Cannot negotiate authentication mechanism 执行下面代码即可 sudo yum install cyrus-sasl cyrus-sasl-plain cyrus-sasl-ldap...

临江仙卜算子
昨天
4
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部